%define module_version 0.01
%define module_name Algorithm-GDiffDelta
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(IO/File.pm) perl(IO/Scalar.pm) perl(Pod/Checker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt8
Summary: generate and apply GDIFF format binary deltas
Group: Development/Perl
License: lgpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GE/GEOFFR/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch: %{ix86}

%description
This module can be used to generate binary deltas describing the
differences between two files.  Given the first file and the
delta the second file can be reconstructed.

A delta is equivalent to the output of the unix `diff' program,
except that it can efficiently represent the differences between
similar binary files, containing any sequences of bytes.  These
deltas can be used for updating files over a network (as `rsync'
does) or for efficiently storing a revision history of changes to
a file (as Subversion does).

There are several formats used for binary deltas.  The one supported
by this module is the GDIFF format, which is fairly simple and is
documented as a W3C note (See the SEE ALSO section below).

This module generates and processes deltas using file handles.
It supports both native Perl file handles (created with the built-in
`open' format) and objects that support the right methods.
For an object to work it must support at least the `read', `seek',
and `tell' methods (if it is an input file) or the `write' method
(if it is an output file).  This allows strings to be used for input
and output, by wrapping them in an IO::Scalar object
or similar.  A future version of this module might support reading
and writing directly through references to scalars, because that
should be much more efficient.

See the section ALGORITHM AND DELTA FORMAT below for some notes on
the algorithm used by this module and how the GDIFF delta format works.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.01-alt8
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.01-alt7
- rebuild with perl 5.34.0

* Sat Oct 03 2020 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt6
- rebuild to get rid of unmets

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt5.1
- rebuild with perl 5.28.1

* Fri Dec 29 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt5
- build with new perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt4
- rebuild to get rid of unmets

* Mon Nov 30 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3
- rebuild with perl 522

* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2
- rebuild with perl 5.20.1

* Mon May 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

